Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Class AbleNetworkGraphicView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.ibm.able.beans.AbleNetworkGraphicView

All Implemented Interfaces:
  AbleCustomInspectorView, AbleEventListener, javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable

public class AbleNetworkGraphicView
extends javax.swing.JPanel
implements AbleCustomInspectorView, AbleEventListener, java.beans.PropertyChangeListener, java.io.Serializable

This class defines a specialized Neural Network inspector that shows the processing units as colored circles arranged in columns by layer. Connecting weights between the units appear as lines.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected double` | `activationOffThreshold` When a processing unit's activation value is above this threshold, the circle representing it will be drawn in blue.
`protected double` | `activationOnThreshold` When a processing unit's activation value is above this threshold, the circle representing it will be drawn in red.
`protected double` | `weightThreshold` When a connection weight's value is less than -1 times the weightThreshold, the line connecting its units is drawn in blue.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbleNetworkGraphicView(java.lang.Object theNeuralNetworkObject)` Create a JPanel to display neural networks in a graphic format

Method Summary
`protected void` | `drawConnectionsBetweenLayers(java.awt.Graphics2D g2, int startLayer, int startUnit)`
`protected void` | `drawLayerOfUnits(java.awt.Graphics2D g2, int fromLayer, int startUnit)`
`double` | `getActivationOffThreshold()`
`double` | `getActivationOnThreshold()`
`java.lang.Object` | `getContext()` Retrieve the context data for this inspector panel This data is added to the AbleInspectorContext save with the editor environment file.
`double` | `getWeightThreshold()`
`void` | `handleAbleEvent(AbleEvent theAbleEvent)` Handles an Able event.
`void` | `init()`
`protected void` | `initializeTestNetArchParameters()`
`protected void` | `initNetArchParameters()`
`static void` | `main(java.lang.String[] s)`
`void` | `paintComponent(java.awt.Graphics g)` Paint the network units and their connections
`void` | `propertyChange(java.beans.PropertyChangeEvent theEvent)` detect netArchitecture property changes and reset internal data structures
`protected void` | `refreshView()`
`void` | `setActivationOffThreshold(double thresh)`
`void` | `setActivationOnThreshold(double thresh)`
`void` | `setContext(AbleInspectorContext theContext)` Set the context data for this inspector panel This is called after loading the editor environment file
`void` | `setWeightThreshold(double thresh)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activationOnThreshold

    protected double activationOnThreshold

  When a processing unit's activation value is above this threshold, the circle representing it will be drawn in red. Units between the activationOnThreshold and activationOffThreshold display the background color.

### activationOffThreshold

    protected double activationOffThreshold

  When a processing unit's activation value is above this threshold, the circle representing it will be drawn in blue. Units between the activationOnThreshold and activationOffThreshold display the background color.

### weightThreshold

    protected double weightThreshold

  When a connection weight's value is less than -1 times the weightThreshold, the line connecting its units is drawn in blue. When the weight is greater than the weightThreshold, the line is drawn in red. If outside inside the threshold, no line is drawn.

Constructor Detail

### AbleNetworkGraphicView

    public AbleNetworkGraphicView(java.lang.Object theNeuralNetworkObject)

  Create a JPanel to display neural networks in a graphic format

Method Detail

### initializeTestNetArchParameters

    protected void initializeTestNetArchParameters()

### initNetArchParameters

    protected void initNetArchParameters()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent theEvent)

  detect netArchitecture property changes and reset internal data structures

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### handleAbleEvent

    public void handleAbleEvent(AbleEvent theAbleEvent)

  Description copied from interface: `AbleEventListener`
  Handles an Able event. Most implementations will check to see if the event should be processed synchronously (on the same thread as the caller) or asynchronously (on a separate thread).

  Specified by:
    `handleAbleEvent` in interface `AbleEventListener`
  Parameters:
    `theAbleEvent` - The event to handle.

### init

    public void init()

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Paint the network units and their connections

  Parameters:
    `g` - A Graphics context

  Returns:
    void.

### drawLayerOfUnits

    protected void drawLayerOfUnits(java.awt.Graphics2D g2,
                                    int fromLayer,
                                    int startUnit)

### drawConnectionsBetweenLayers

    protected void drawConnectionsBetweenLayers(java.awt.Graphics2D g2,
                                                int startLayer,
                                                int startUnit)

### refreshView

    protected void refreshView()

### main

    public static void main(java.lang.String[] s)

### getActivationOnThreshold

    public double getActivationOnThreshold()

### setActivationOnThreshold

    public void setActivationOnThreshold(double thresh)

### getActivationOffThreshold

    public double getActivationOffThreshold()

### setActivationOffThreshold

    public void setActivationOffThreshold(double thresh)

### getWeightThreshold

    public double getWeightThreshold()

### setWeightThreshold

    public void setWeightThreshold(double thresh)

### getContext

    public java.lang.Object getContext()

  Retrieve the context data for this inspector panel This data is added to the AbleInspectorContext save with the editor environment file.

  Specified by:
    `getContext` in interface `AbleCustomInspectorView`

### setContext

    public void setContext(AbleInspectorContext theContext)

  Set the context data for this inspector panel This is called after loading the editor environment file

  Specified by:
    `setContext` in interface `AbleCustomInspectorView`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005